Delete Domain
Path Parameters
domain_idstringRequired
import { Reloop } from "reloop-email";
const reloop = new Reloop({ apiKey: "rl_123456789" });
const { response, error } = await reloop.domain.delete("dom_123456789");
if (error) throw error;{
"object": "domain",
"id": "con_123456789",
"domain": "send.example.com",
"status": "pending",
"userVerifiedDomain": true,
"systemVerified": true,
"customReturnPath": "inbound",
"trackingSubdomain": "tracking",
"isClickTrackingEnabled": true,
"isOpenTrackingEnabled": true,
"tls": "opportunistic",
"isTrackingDomain": true,
"isSendingEmailEnabled": true,
"isReceivingEmailEnabled": true,
"verificationFailedReason": "example_verificationFailedReason",
"dnsRecords": [
{
"id": "dns_123456789",
"recordType": "MX",
"recordTypeName": "MX",
"domain": "example.com",
"name": "@",
"value": "feedback-smtp.us-east-1.amazonses.com",
"ttl": "Auto",
"priority": 10,
"status": "active",
"createdAt": "2026-03-30T10:00:00.000Z",
"updatedAt": "2026-03-30T10:00:00.000Z"
}
],
"lastVerifiedAt": "2026-03-23T10:00:00.000Z",
"createdAt": "2026-03-23T10:00:00.000Z",
"updatedAt": "2026-03-23T10:00:00.000Z",
"event": "evt_123456789"
}Was this page helpful?